﻿<UserControl x:Class="TheTrader.WPF.Controls.AssetSummary"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:controls="clr-namespace:TheTrader.WPF.Controls"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:viewModels="clr-namespace:TheTrader.WPF.ViewModels"
             d:DataContext="{d:DesignInstance viewModels:AssetSummaryViewModel}"
             mc:Ignorable="d">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="2*" />
        </Grid.ColumnDefinitions>

        <Grid Grid.Column="0">
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto" />
                <RowDefinition Height="*" />
            </Grid.RowDefinitions>

            <TextBlock Grid.Row="0" FontSize="18" Text="Cash" />
            <TextBlock Grid.Row="1" Margin="0,10,0,0" HorizontalAlignment="Center"
                       VerticalAlignment="Center" FontSize="48"
                       Text="{Binding AccountBalance, StringFormat={}{0:c}, FallbackValue=$0.00}" />
        </Grid>

        <Grid Grid.Column="1">
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto" />
                <RowDefinition Height="*" />
            </Grid.RowDefinitions>

            <TextBlock Grid.Row="0" FontSize="18" Text="Top Assets" />
            <controls:AssetListing Grid.Row="1" Margin="0,10,0,0" FontSize="14" DataContext="{Binding AssetListingViewModel}" />
        </Grid>
    </Grid>
</UserControl>